/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.iZc.MazeGame.cells;

import de.nplusc.iZc.MazeGame.Objects.Player;
import java.util.Map;

/**
 *
 * @author LH
 */
public class EmptyCell extends MazeCell
{

    @Override
    public boolean canEnter(int direction, int layer, Player p)
    {
        return false;
    }

    public EmptyCell(Map<Integer, boolean[]> pexits, Map<Integer, boolean[]> pentrances,int bl)
    {
        super(pexits, pentrances,bl,1);
    }

    public EmptyCell()
    {
    }

    @Override
    public boolean canExit(int direction, int layer, Player p)
    {
        return false;
    }
    
    
    
    
    @Override
    public String onCellEnter(Player p)
    {
        return "Ungültiges Manöver; Cheater!!!!";
    }
    
}
